The API returns request responses in JSON format. When an API request returns an error, it is sent in the JSON response as an error key.
Common Error Codes
Status Code
Description
401
Authentication error - Invalid or missing API key
429
Rate limit exceeded
503
Service temporarily unavailable
HTTPS Only
The API only responds to HTTPS-secured communications. Any requests sent via HTTP return an HTTP 301 redirect to the corresponding HTTPS resources.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Govly Developer Documentation","colors":{"primary":"#2D72D2","light":"#4C90F0","dark":"#252A31"},"logo":{"light":"https://mintcdn.com/govly/fiZJVi8g9yenM-kL/logo/light.svg?fit=max\u0026auto=format\u0026n=fiZJVi8g9yenM-kL\u0026q=85\u0026s=d66609a9754e369eff54b7f9bf198824","dark":"https://mintcdn.com/govly/fiZJVi8g9yenM-kL/logo/dark.svg?fit=max\u0026auto=format\u0026n=fiZJVi8g9yenM-kL\u0026q=85\u0026s=37d5fe8d09791ef8fe69aef6c20c5c00"},"favicon":"https://mintcdn.com/govly/ckcRaBILPVyWGu14/favicon.png?fit=max\u0026auto=format\u0026n=ckcRaBILPVyWGu14\u0026q=85\u0026s=bc8e0e5715a4f0fa93f492ef92fd0e56","api":{"mdx":{"auth":{"method":"key","name":"X-API-KEY"},"server":"https://app.govly.com"}},"navbar":{"links":[{"href":"mailto:support@govly.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.govly.com"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/govly"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"govly","hasAudioNarration":false,"actualSubdomain":"govly","customDomains":["docs.govly.com"],"gitSource":{"type":"github","owner":"govly","repo":"govly","deployBranch":"main","contentDirectory":"external_docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"agentFeedback":true,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afd33814aead03cc72c64de","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"Overview","count":112},{"language":"default","tag":"Enterprise","count":102},{"language":"default","tag":"Tools API Reference","count":81},{"language":"default","tag":"Saved Searches","count":15},{"language":"default","tag":"Opportunities","count":11},{"language":"default","tag":"Workspaces","count":11},{"language":"default","tag":"Enterprise API Reference","count":9},{"language":"default","tag":"Integrations","count":9},{"language":"default","tag":"Inbox","count":8},{"language":"default","tag":"Workflows","count":8}]},"assistantConfig":{"enableStarterQuestions":false},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":""}],"page":{"pagePath":"api-reference/enterprise/errors","slug":"/api-reference/enterprise/errors","pageMetadata":{"title":"Errors","description":"Understanding Enterprise API error responses","href":"/api-reference/enterprise/errors"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Understanding Enterprise API error responses\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Heading,Table}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`error-handling`,children:`Error Handling`}),`\n`,_jsx(_components.p,{children:`The API returns request responses in JSON format. When an API request returns an error, it is sent in the JSON response as an error key.`}),`\n`,_jsx(Heading,{level:`2`,id:`common-error-codes`,children:`Common Error Codes`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status Code`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`401`}),_jsx(_components.td,{children:`Authentication error - Invalid or missing API key`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`429`}),_jsx(_components.td,{children:`Rate limit exceeded`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`503`}),_jsx(_components.td,{children:`Service temporarily unavailable`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`https-only`,children:`HTTPS Only`}),`\n`,_jsx(_components.p,{children:`The API only responds to HTTPS-secured communications. Any requests sent via HTTP return an HTTP 301 redirect to the corresponding HTTPS resources.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Errors","description":"Understanding Enterprise API error responses","href":"/api-reference/enterprise/errors"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Error Handling","slug":"error-handling","depth":1,"children":[]},{"title":"Common Error Codes","slug":"common-error-codes","depth":2,"children":[]},{"title":"HTTPS Only","slug":"https-only","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"govly","siteName":"Govly Developer Documentation","title":"Errors - Govly Developer Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-15T20:45:13.662Z","originalFileLocation":"api-reference/enterprise/errors.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Understanding Enterprise API error responses\">\u003cmeta data-mint-head name=\"application-name\" content=\"Govly Developer Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Errors - Govly Developer Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Understanding Enterprise API error responses\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Govly Developer Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.govly.com/api-reference/enterprise/errors\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://govly.mintlify.site/_mintlify/api/og/v2?division=Enterprise+API+Reference\u0026amp;title=Errors\u0026amp;description=Understanding+Enterprise+API+error+responses\u0026amp;theme=d87f0cb11f6760e6b1a4ee96\u0026amp;signature=8e2cc07cbf330a7041ce51da12de3a2df769931659236fd43b78326161c889d7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Errors - Govly Developer Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Understanding Enterprise API error responses\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://govly.mintlify.site/_mintlify/api/og/v2?division=Enterprise+API+Reference\u0026amp;title=Errors\u0026amp;description=Understanding+Enterprise+API+error+responses\u0026amp;theme=d87f0cb11f6760e6b1a4ee96\u0026amp;signature=8e2cc07cbf330a7041ce51da12de3a2df769931659236fd43b78326161c889d7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/govly/tLEtLkgSI5N0MGS1/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Govly Developer Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2D72D2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.govly.com/api-reference/enterprise/errors\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/enterprise/errors.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.govly.com/#organization\",\"name\":\"Govly Developer Documentation\",\"url\":\"https://docs.govly.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/govly/fiZJVi8g9yenM-kL/logo/light.svg?fit=max\u0026auto=format\u0026n=fiZJVi8g9yenM-kL\u0026q=85\u0026s=d66609a9754e369eff54b7f9bf198824\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.govly.com#website\",\"name\":\"Govly Developer Documentation\",\"url\":\"https://docs.govly.com\",\"publisher\":{\"@id\":\"https://docs.govly.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.govly.com/api-reference/enterprise/errors#webpage\",\"url\":\"https://docs.govly.com/api-reference/enterprise/errors\",\"name\":\"Errors\",\"description\":\"Understanding Enterprise API error responses\",\"dateModified\":\"2026-11-15T20:45:13.662Z\",\"isPartOf\":{\"@id\":\"https://docs.govly.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.govly.com/api-reference/enterprise/errors#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.govly.com/api-reference/enterprise/errors#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Enterprise\",\"item\":\"https://docs.govly.com/enterprise/email-integration\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Enterprise API Reference\",\"item\":\"https://docs.govly.com/api-reference/enterprise/rate-limits\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Errors\",\"item\":\"https://docs.govly.com/api-reference/enterprise/errors\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.govly.com/api-reference/enterprise/errors#article\",\"headline\":\"Errors\",\"name\":\"Errors\",\"description\":\"Understanding Enterprise API error responses\",\"url\":\"https://docs.govly.com/api-reference/enterprise/errors\",\"mainEntityOfPage\":{\"@id\":\"https://docs.govly.com/api-reference/enterprise/errors#webpage\"},\"dateModified\":\"2026-11-15T20:45:13.662Z\",\"publisher\":{\"@id\":\"https://docs.govly.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.govly.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Govly Developer Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Govly Developer Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/enterprise/errors.md","siteName":"Govly Developer Documentation","nav":{"global":null,"tabs":[{"tab":"Overview","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/getting-started/introduction"}]},{"group":"Integrations","pages":[{"title":"Salesforce Integration","href":"/enterprise/integrations/sfdc"},{"title":"HubSpot Integration","href":"/enterprise/integrations/hubspot"},{"group":"MCP","pages":[{"title":"MCP Overview","href":"/enterprise/integrations/mcp"},{"title":"Connect to Claude","href":"/enterprise/integrations/mcp/claude"},{"title":"MCP for Developers","href":"/enterprise/integrations/mcp/developers"}]},{"title":"Single Sign-On (SSO)","href":"/enterprise/integrations/sso"},{"group":"Webhooks","pages":[{"title":"Webhooks Overview","href":"/api-reference/enterprise/webhooks/overview"},{"title":"Webhook Events","href":"/webhooks/events"},{"title":"Webhook Security","href":"/webhooks/security"}]}]},{"group":"Enterprise","pages":[{"group":"Contract Ingestion","pages":[{"title":"Email Integration","href":"/enterprise/email-integration"},{"title":"Web Automation","href":"/enterprise/web-automation"}]},{"group":"Security and Privacy","pages":[{"title":"Overview","href":"/enterprise/security"},{"title":"Opportunity Attachment Handling","href":"/enterprise/security/restricted-opportunity-attachments"},{"title":"Secure Enclave","href":"/enterprise/security/secure-enclave"},{"title":"SOC 2","href":"/enterprise/security/soc2"}]},{"group":"Enterprise API Reference","pages":[{"title":"Rate Limits","description":"Understanding API rate limits and usage restrictions","href":"/api-reference/enterprise/rate-limits"},{"title":"Errors","href":"/api-reference/enterprise/errors"},{"group":"Opportunities","pages":[{"title":"List opportunities by ID","api":"GET /api/enterprise/opportunities","description":"Retrieve detailed information about specific opportunities by their IDs","href":"/api-reference/enterprise/opportunities/list"},{"group":"Saved Searches","pages":[{"title":"List Saved Searches","api":"GET /api/enterprise/opportunities/saved_searches","href":"/api-reference/enterprise/opportunities/saved_searches/list"},{"title":"Execute a search on a saved search","api":"GET /api/enterprise/opportunities/saved_searches/{id}/search","href":"/api-reference/enterprise/opportunities/saved_searches/search"},{"title":"List saved search matches","api":"GET /api/enterprise/opportunities/saved_search_matches","href":"/api-reference/enterprise/opportunities/saved_search_matches/list"}]}]},{"group":"Awards","pages":[{"title":"List awards","api":"GET /api/enterprise/awards","href":"/api-reference/enterprise/awards/list"},{"group":"Saved Searches","pages":[{"title":"List Saved Searches","api":"GET /api/enterprise/awards/saved_searches","href":"/api-reference/enterprise/awards/saved_searches/list"},{"title":"Execute a search on a saved search","api":"GET /api/enterprise/awards/saved_searches/{id}/search","href":"/api-reference/enterprise/awards/saved_searches/search"}]}]}]},{"group":"Tools API Reference","pages":[{"group":"Organization Users","pages":[{"title":"List users in your Govly organization","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/organization_users","href":"/api-reference/tools-v1/organization-users/list-users-in-your-govly-organization"}]},{"group":"Opportunities","pages":[{"title":"Fetch opportunities by ID","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/opportunities","href":"/api-reference/tools-v1/opportunities/fetch-opportunities-by-id"},{"title":"Show an opportunity","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/opportunities/{id}","href":"/api-reference/tools-v1/opportunities/show-an-opportunity"},{"title":"Search opportunities","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/opportunities/search","href":"/api-reference/tools-v1/opportunities/search-opportunities"},{"title":"Mark an opportunity not interested","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/opportunities/{opportunityId}/not_interested","href":"/api-reference/tools-v1/opportunities/mark-an-opportunity-not-interested"},{"title":"Undo a not-interested mark","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/opportunities/{opportunityId}/not_interested","href":"/api-reference/tools-v1/opportunities/undo-a-not-interested-mark"}]},{"group":"Awards","pages":[{"title":"Show an award","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/awards/{id}","href":"/api-reference/tools-v1/awards/show-an-award"},{"title":"Search awards","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/awards/search","href":"/api-reference/tools-v1/awards/search-awards"},{"title":"Aggregate awards by one dimension","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/awards/aggregate","href":"/api-reference/tools-v1/awards/aggregate-awards-by-one-dimension"}]},{"group":"Contacts","pages":[{"title":"Show a contact","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/contacts/{id}","href":"/api-reference/tools-v1/contacts/show-a-contact"},{"title":"Search contacts","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/contacts/search","href":"/api-reference/tools-v1/contacts/search-contacts"}]},{"group":"Places","pages":[{"title":"Resolve place names to canonical Place ids","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/places/search","href":"/api-reference/tools-v1/places/resolve-place-names-to-canonical-place-ids"},{"title":"Enumerate every Place of a category within a jurisdiction","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/places/list","href":"/api-reference/tools-v1/places/enumerate-every-place-of-a-category-within-a-jurisdiction"}]},{"group":"Signals","pages":[{"title":"Show a signal cluster","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/signals/{id}","href":"/api-reference/tools-v1/signals/show-a-signal-cluster"},{"title":"Search signals","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/signals/search","href":"/api-reference/tools-v1/signals/search-signals"}]},{"group":"Product Catalogs","pages":[{"title":"List public product catalogs","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/product_catalogs","href":"/api-reference/tools-v1/product-catalogs/list-public-product-catalogs"},{"title":"Search product catalog items","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/product_catalogs/search","href":"/api-reference/tools-v1/product-catalogs/search-product-catalog-items"}]},{"group":"Workspaces","pages":[{"title":"List workspaces associated with an entity","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workspaces","href":"/api-reference/tools-v1/workspaces/list-workspaces-associated-with-an-entity"},{"title":"Create a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspaces","href":"/api-reference/tools-v1/workspaces/create-a-workspace"},{"title":"List saved Workspace views","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workspace_views","href":"/api-reference/tools-v1/workspaces/list-saved-workspace-views"},{"title":"Dismiss workspaces for yourself","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspace_dismissals","href":"/api-reference/tools-v1/workspaces/dismiss-workspaces-for-yourself"},{"title":"Restore workspaces you dismissed","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/workspace_dismissals","href":"/api-reference/tools-v1/workspaces/restore-workspaces-you-dismissed"},{"title":"Search active workspaces","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspaces/search","href":"/api-reference/tools-v1/workspaces/search-active-workspaces"},{"title":"Show a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workspaces/{id}","href":"/api-reference/tools-v1/workspaces/show-a-workspace"},{"title":"Update a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/workspaces/{id}","href":"/api-reference/tools-v1/workspaces/update-a-workspace"}]},{"group":"Workspace Members","pages":[{"title":"Add a user or team member to a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspaces/{workspaceId}/members","href":"/api-reference/tools-v1/workspace-members/add-a-user-or-team-member-to-a-workspace"},{"title":"Remove a user or team member from a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/workspaces/{workspaceId}/members","href":"/api-reference/tools-v1/workspace-members/remove-a-user-or-team-member-from-a-workspace"}]},{"group":"Workflows","pages":[{"title":"Find workflows in your organization","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workflows","href":"/api-reference/tools-v1/workflows/find-workflows-in-your-organization"},{"title":"List your personal monitor's runs","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workflows/{workflowId}/runs","href":"/api-reference/tools-v1/workflows/list-your-personal-monitors-runs"},{"title":"Inspect an exact personal monitor run","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workflows/{workflowId}/runs/{id}","href":"/api-reference/tools-v1/workflows/inspect-an-exact-personal-monitor-run"},{"title":"Recover an eligible personal monitor run","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workflows/{workflowId}/runs/{id}/retry","href":"/api-reference/tools-v1/workflows/recover-an-eligible-personal-monitor-run"},{"title":"List the current files attached to a workflow","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workflows/{workflowId}/attachments","href":"/api-reference/tools-v1/workflows/list-the-current-files-attached-to-a-workflow"},{"title":"Upload workflow files as an organization admin","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workflows/{workflowId}/attachments","href":"/api-reference/tools-v1/workflows/upload-workflow-files-as-an-organization-admin"},{"title":"Remove a workflow file as an organization admin","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/workflows/{workflowId}/attachments/{attachmentId}","href":"/api-reference/tools-v1/workflows/remove-a-workflow-file-as-an-organization-admin"},{"title":"Open a workflow file after checking current access","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workflows/{workflowId}/attachments/{attachmentId}/file","href":"/api-reference/tools-v1/workflows/open-a-workflow-file-after-checking-current-access"}]},{"group":"Libraries","pages":[{"title":"List accessible Libraries","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/libraries","href":"/api-reference/tools-v1/libraries/list-accessible-libraries"},{"title":"Create an additional Library","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/libraries","href":"/api-reference/tools-v1/libraries/create-an-additional-library"},{"title":"Get Library metadata","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/libraries/{id}","href":"/api-reference/tools-v1/libraries/get-library-metadata"},{"title":"Replace a Library description","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/libraries/{id}","href":"/api-reference/tools-v1/libraries/replace-a-library-description"}]},{"group":"Library Documents","pages":[{"title":"List documents in a selected Library","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/libraries/{libraryId}/documents","href":"/api-reference/tools-v1/library-documents/list-documents-in-a-selected-library"},{"title":"Get a Library document's metadata","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/libraries/{libraryId}/documents/{id}","href":"/api-reference/tools-v1/library-documents/get-a-library-documents-metadata"},{"title":"Archive a Library document","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/libraries/{libraryId}/documents/{id}","href":"/api-reference/tools-v1/library-documents/archive-a-library-document"},{"title":"Update a Library document's title or tags","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/libraries/{libraryId}/documents/{id}","href":"/api-reference/tools-v1/library-documents/update-a-library-documents-title-or-tags"}]},{"group":"File Attachments","pages":[{"title":"Attach a new or existing file to a supported destination","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/file_attachments","href":"/api-reference/tools-v1/file-attachments/attach-a-new-or-existing-file-to-a-supported-destination"}]},{"group":"Workspace Attachments","pages":[{"title":"Send file bytes to a signed Govly upload URL","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/upload_files","href":"/api-reference/tools-v1/workspace-attachments/send-file-bytes-to-a-signed-govly-upload-url"},{"title":"List workspace attachments","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/workspaces/{workspaceId}/attachments","href":"/api-reference/tools-v1/workspace-attachments/list-workspace-attachments"},{"title":"Upload workspace attachments","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspaces/{workspaceId}/attachments","href":"/api-reference/tools-v1/workspace-attachments/upload-workspace-attachments"}]},{"group":"Workspace Comments","pages":[{"title":"Post a Markdown comment to a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/workspaces/{workspaceId}/comments","href":"/api-reference/tools-v1/workspace-comments/post-a-markdown-comment-to-a-workspace"}]},{"group":"Organization Labels","pages":[{"title":"List organization labels","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/organization_labels","href":"/api-reference/tools-v1/organization-labels/list-organization-labels"},{"title":"Create an organization label","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/organization_labels","href":"/api-reference/tools-v1/organization-labels/create-an-organization-label"},{"title":"Delete an organization label","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/organization_labels/{id}","href":"/api-reference/tools-v1/organization-labels/delete-an-organization-label"},{"title":"Update an organization label","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/organization_labels/{id}","href":"/api-reference/tools-v1/organization-labels/update-an-organization-label"}]},{"group":"Record Labels","pages":[{"title":"Apply labels to a record","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/record_labels","href":"/api-reference/tools-v1/record-labels/apply-labels-to-a-record"},{"title":"Remove labels from a record","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/record_labels","href":"/api-reference/tools-v1/record-labels/remove-labels-from-a-record"}]},{"group":"Follows","pages":[{"title":"Follow a Govly entity","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/follows","href":"/api-reference/tools-v1/follows/follow-a-govly-entity"},{"title":"Unfollow a Govly entity","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml delete /api/tools/v1/follows","href":"/api-reference/tools-v1/follows/unfollow-a-govly-entity"}]},{"group":"Shares","pages":[{"title":"Share an opportunity, award, or contact by email","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/shares","href":"/api-reference/tools-v1/shares/share-an-opportunity-award-or-contact-by-email"}]},{"group":"Saved Searches","pages":[{"title":"List award saved searches","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/awards/saved_searches","href":"/api-reference/tools-v1/saved-searches/list-award-saved-searches"},{"title":"Create an award saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/awards/saved_searches","href":"/api-reference/tools-v1/saved-searches/create-an-award-saved-search"},{"title":"Show an award saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/awards/saved_searches/{id}","href":"/api-reference/tools-v1/saved-searches/show-an-award-saved-search"},{"title":"Update an award saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/awards/saved_searches/{id}","href":"/api-reference/tools-v1/saved-searches/update-an-award-saved-search"},{"title":"Execute an award saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/awards/saved_searches/{savedSearchId}/results","href":"/api-reference/tools-v1/saved-searches/execute-an-award-saved-search"},{"title":"List opportunity saved searches","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/opportunities/saved_searches","href":"/api-reference/tools-v1/saved-searches/list-opportunity-saved-searches"},{"title":"Create an opportunity saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/opportunities/saved_searches","href":"/api-reference/tools-v1/saved-searches/create-an-opportunity-saved-search"},{"title":"Show an opportunity saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/opportunities/saved_searches/{id}","href":"/api-reference/tools-v1/saved-searches/show-an-opportunity-saved-search"},{"title":"Update an opportunity saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml patch /api/tools/v1/opportunities/saved_searches/{id}","href":"/api-reference/tools-v1/saved-searches/update-an-opportunity-saved-search"},{"title":"List cached opportunity results for a saved search","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/opportunities/saved_searches/{savedSearchId}/results","href":"/api-reference/tools-v1/saved-searches/list-cached-opportunity-results-for-a-saved-search"}]},{"group":"Documents","pages":[{"title":"Read bounded document content","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/documents/read","href":"/api-reference/tools-v1/documents/read-bounded-document-content"},{"title":"Get a temporary original-file download","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/documents/download","href":"/api-reference/tools-v1/documents/get-a-temporary-original-file-download"}]},{"group":"Quote Submissions","pages":[{"title":"Check quote submission requirements","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/quote/submissions/requirements","href":"/api-reference/tools-v1/quote-submissions/check-quote-submission-requirements"},{"title":"List quote submissions for a workspace","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/quote/submissions","href":"/api-reference/tools-v1/quote-submissions/list-quote-submissions-for-a-workspace"},{"title":"Submit a quote","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/quote/submissions","href":"/api-reference/tools-v1/quote-submissions/submit-a-quote"},{"title":"Show quote submission status","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/quote/submissions/{id}","href":"/api-reference/tools-v1/quote-submissions/show-quote-submission-status"}]},{"group":"Inbox","pages":[{"title":"List saved Inbox views","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/inbox_views","href":"/api-reference/tools-v1/inbox/list-saved-inbox-views"},{"title":"List inbox items","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/inbox_items","href":"/api-reference/tools-v1/inbox/list-inbox-items"},{"title":"Search inbox items","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/inbox_items/search","href":"/api-reference/tools-v1/inbox/search-inbox-items"},{"title":"Show an inbox item","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml get /api/tools/v1/inbox_items/{id}","href":"/api-reference/tools-v1/inbox/show-an-inbox-item"},{"title":"Accept an inbox item","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/inbox_items/{id}/accept","href":"/api-reference/tools-v1/inbox/accept-an-inbox-item"},{"title":"Dismiss an inbox item","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/inbox_items/{id}/dismiss","href":"/api-reference/tools-v1/inbox/dismiss-an-inbox-item"},{"title":"Decline (reject) an inbox item as a bad fit","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/inbox_items/{id}/decline","href":"/api-reference/tools-v1/inbox/decline-reject-an-inbox-item-as-a-bad-fit"},{"title":"Restore a dismissed or declined inbox item","deprecated":null,"version":null,"openapi":"/openapi/tools-v1.yaml post /api/tools/v1/inbox_items/{id}/restore","href":"/api-reference/tools-v1/inbox/restore-a-dismissed-or-declined-inbox-item"}]}]},{"group":"Legacy API Reference (v3)","pages":[{"group":"Opportunities","pages":[{"title":"Get Opportunity","api":"GET /api/v3/opportunities/{id}","href":"/api-reference/v3/opportunities/get"},{"title":"Filter Opportunities","api":"POST /api/v3/opportunities/filter","href":"/api-reference/v3/opportunities/filter"}]},{"group":"Workspaces","pages":[{"title":"Get Workspace","api":"GET /api/v3/opportunity_workspaces/{id}","href":"/api-reference/v3/workspaces/get"},{"title":"Create Workspace","api":"POST /api/v3/opportunity_workspaces","href":"/api-reference/v3/workspaces/create"},{"title":"Update Workspace","api":"PATCH /api/v3/opportunity_workspaces/{id}","href":"/api-reference/v3/workspaces/update"}]},{"group":"Contract Vehicles","pages":[{"title":"List Contract Vehicles","api":"GET /api/v3/contract_vehicles","href":"/api-reference/v3/contract-vehicles/list"}]}]}]}]}]},"basePath":"","title":"Errors - Govly Developer Documentation","deploymentId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","buildId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","dynamics":[],"chunks":[]}